from django.test import SimpleTestCase

from ferda.utils import removeprefix


class RemoveprefixTest(SimpleTestCase):
    def test_removeprefix(self):
        data = (
            ("abc", "x", "abc"),
            ("abc", "b", "abc"),
            ("abc", "a", "bc"),
            ("aac", "a", "ac"),
            ("aac", "a", "ac"),
            ("ababc", "ab", "abc"),
            ("ababab", "ab", "abab"),
        )
        for value, prefix, result in data:
            with self.subTest(value=value, prefix=prefix, result=result):
                self.assertEqual(removeprefix(value, prefix), result)
